package com.zj365.mime.weight

import android.content.Context
import android.view.Gravity
import android.view.View
import com.xty.base.dialog.BaseDialog
import com.zj365.mime.databinding.DialogFactorySettingBinding

class NoticeSettingDialog(context: Context, var title:String, var cancel:()->Unit, var confirm:()->Unit): BaseDialog(context) {
    val binding by lazy{DialogFactorySettingBinding.inflate(layoutInflater)}
    override fun setLayout()=binding.root
    override fun initView() {
        super.initView()
        setDialogPadding(40,0,40,0)
        binding.mTitle.text=title
        binding.mTvConfirm.setOnClickListener {
            confirm.invoke()
            dismiss()
        }
        binding.mTvCancel.setOnClickListener {
            cancel.invoke()
            dismiss()
        }
    }
}